Great add-on! Works in Firefox 4.0.1 Rated 5 out of 5 stars

Works fine in FF4.0.1. However, needs some TLC. Needs to have interface re-worked to be easier to read. Also, if you had previous version installed: Backup repository into an OPML file, uninstall old ver (<1.3.0), restart FF, install new version and replace respository with old OPML file to regain rss feeds. This is what worked for me. LTL

This review is for a previous version of the add-on (1.3.0).